/*-----------------------------------------------------------------------------
  getsetting function.
  Copyright 2002, 2003 Berend-Jan Wever.
    <skylined@edup.tudelft.nl>
    http://spoor12.edup.tudelft.nl

  This function is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License version 2, 1991 as
  published by the Free Software Foundation.

  This function is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License can be found at:
    http://www.gnu.org/licenses/gpl.html
  or you can write to:
    Free Software Foundation, Inc.
    59 Temple Place - Suite 330
    Boston, MA  02111-1307
    USA.

--------------------------------------------------------------------------------
   getsetting(char* haystack, char* needle)

   Scans the string haystack for the string needle and returns a pointer to a
   new string that contains everything after needle untill an end marker
   ('\n', '\r' or '\0') is reached or the maximum size is reached.
   malloc is used to reserve some memory for the new string, so be sure to
   free() it after use to prevent memory leaks!
   
   Examples:
     getsetting("b=1\nb=2\nb=3", "b=") == "1"
     getsetting("a=1\nb=2\nc=3", "b=") == "2"
     getsetting("a=1\nb=2\nc=3", "c=") == "3"
*/
#ifndef _getsetting_h
  #define _getsetting_h
  
  //-- Includes ---------------------------------------------------------------
  #include <stdlib.h> // malloc
  #include <string.h> // strstr, strlen
  
  //-- Defines ----------------------------------------------------------------
  #define MAX_GETSETTING_SIZE 256
  
  //-- Functions --------------------------------------------------------------
  char* getsetting(char*, char*);
#endif